package org.example;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class MysqlCalciteDemo {
    public static void main(String[] args) {
        try {
            String model = "{\n" +
                    "  \"version\": \"1.0\",\n" +
                    "  \"defaultSchema\": \"imooc\",\n" +
                    "  \"schemas\": [\n" +
                    "    {\n" +
                    "      \"name\": \"imooc\",\n" +
                    "      \"type\": \"custom\",\n" +
                    "      \"factory\": \"org.apache.calcite.adapter.jdbc.JdbcSchema$Factory\",\n" +
                    "      \"operand\": {\n" +
                    "        \"jdbcUrl\": \"jdbc:mysql://127.0.0.1:3306/sqlprotest?useUnicode=true&characterEncoding=UTF-8\",\n" +
                    "        \"jdbcDriver\":\"com.mysql.cj.jdbc.Driver\",\n" +
                    "        \"jdbcUser\":\"root\",\n" +
                    "        \"jdbcPassword\":\"000000\"\n" +
                    "      }\n" +
                    "    }\n" +
                    "  ]\n" +
                    "}";
            Connection connection = DriverManager.getConnection("jdbc:calcite:lex=MYSQL;model=inline:" + model);

            Statement statement = connection.createStatement();

            ResultSet resultSet = statement.executeQuery("select * from t_catalog");
            while (resultSet.next()) {
                System.out.print("id:"+resultSet.getInt(1)+" ");
                System.out.print("name:" + resultSet.getString(2));
            }
            resultSet.close();
            statement.close();
            connection.close();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
